<?
include ('conf/configuracao.php');
include ("include/inicio.php");
include ('include/functions.php');

mysql_connect( $bd_host, $bd_user, $bd_senha )
	or die ( 'Não foi possível conectar ao Servidor.' );
mysql_select_db( $bd_database )
	or die ( 'Não foi possível conectar a Base de Dados.' );
?>
<table bgcolor="<? echo $cor_fund_tab; ?>" width="96%" border="0" cellspacing="0" cellpadding="5" align="center" bordercolor="<? echo $cor_bord_tab; ?>">
<tr>
	<td width="20%" valign="top">
		<font face="<? echo $tipo_fonte; ?>" size="<? echo $tam_fonte; ?>" color="<? echo $cor_texto; ?>">
			<div align="justify">
				<?
					include ("menu.php");
				?>
			</div>
		</font>
	</td>
	<td width="80%" valign="top">
<strong><div align="left"><font face="Verdana" size="2" color="#000000">Classificação Final</font></div></strong>
<?
$sql = "SELECT * FROM configuracao where codigo = 6";
$result = mysql_query($sql)
	or die ( 'Não foi possível executar a query 161.' );
$num = mysql_num_rows($result);
while($info = mysql_fetch_array($result)) {
if ($info["chave"] != 0) {
	echo '<br><br><center><font face="Verdana" size="2" color="#FF0000"><strong>Em breve estaremos publicando a classificação final do processo seletivo.</strong></font></center>';
	echo '</table>';
	echo '</td>';
	echo '</tr>';
	include ("include/fim.php");
	exit;
	}
}
?>
<br>
<br>
	<? 
		$procura = 1;
		$tipo = 0;
		if ($procurar == 'Iniciar Busca por Insc') {
			if ($mat == '') {
				echo '<strong><div align="center"><font face="Verdana" size="2" color="#FF0000">É necessário informar o número da inscrição.</font></div></strong>';
				$procura = 0;
			}
			else {
				$tipo = 1;
			}
		}
		else {
			if ($nome == '') {
				echo '<strong><div align="center"><font face="Verdana" size="2" color="#FF0000">É necessário informar o nome.</font></div></strong>';
				$procura = 0;
			}
			else {
				$tipo = 2;
			}
		}
		if ($procura == 1) {
			$sql_vestibular = "select * from vestibulares Order by codigo DESC";
			$result_vestibular = mysql_query($sql_vestibular)
					or die ( 'Não foi possível executar a query vestibular.' );
			$info_vestibular = mysql_fetch_array($result_vestibular);
			$cursos_do_vestibular = $info_vestibular["codigo"];
			if ($tipo == 1) {
				if ($mat < 10)
					$mat = '00000' . $mat;
				if (($mat >= 10)&&($mat < 99))
					$mat = '0000' . $mat;
				if (($mat >= 100)&&($mat < 999))
					$mat = '000' . $mat;
				if (($mat >= 1000)&&($mat < 9999))
					$mat = '00' . $mat;
				if (($mat >= 10000)&&($mat < 99999))
					$mat = '0' . $mat;
				if ($mat >= 100000)
					$mat =  $mat;
				$sql_busca = "Select * from resultado_final where matricula = '$mat' and codigo_vest = '$cursos_do_vestibular' order by curso";
			}
			if ($tipo == 2) {
				$sql_busca = "Select * from resultado_final where (nome_candidato like '%$nome%') and codigo_vest = '$cursos_do_vestibular' order by curso";
			}
			$result = mysql_query($sql_busca)
				or die ( 'Não foi possível executar a query 161.' );
			$num = mysql_num_rows($result);
			if ($num == 0) {
?>
	<strong><font face="Verdana" size="2" color="#FF0000"><div align="center">Candidato não encontrado</div></font></strong>
	</td>
</tr>
</table>



<? 
	exit;
	include ("include/fim.php");

			}



		$cor = "FFFFFF";
		echo '<br><br>';
		echo '<table width="90%" border="1" cellspacing="0" cellpadding="0" align="center">';
			echo '<tr>';
				echo '<td width="12%" align="center">';
					echo '<font face="Verdana" size="2" color="#000000"><strong>Colocação</strong></font>';
				echo '</td>';
				echo '<td width="12%" align="center">';
					echo '<font face="Verdana" size="2" color="#000000"><strong>Nº Insc</strong></font>';
				echo '</td>';
				echo '<td width="25%" align="center">';
					echo '<font face="Verdana" size="2" color="#000000"><strong>Nome</strong></font>';
				echo '</td>';
				echo '<td width="24%" align="center">';
					echo '<font face="Verdana" size="2" color="#000000"><strong>Curso</strong></font>';
				echo '</td>';
				echo '<td width="12%" align="center">';
					echo '<font face="Verdana" size="2" color="#000000"><strong>Pontuação</strong></font>';
				echo '</td>';
				echo '<td width="15%" align="center">';
					echo '<font face="Verdana" size="2" color="#000000"><strong>Situação</strong></font>';
				echo '</td>';
			echo '</tr>';
		while($info = mysql_fetch_array($result)) {
			echo '<tr>';
				echo '<td bgcolor="'. $cor .'" align="center"><font color="#000000" face="verdana" size="2">';
					echo $info["colocacao"];
				echo '</font></td>';
				echo '<td bgcolor="'. $cor .'" align="center"><font color="#000000" face="verdana" size="2">';
					echo $info["matricula"];
					$matricula = $info["matricula"];
				echo '</font></td>';
				echo '<td bgcolor="'. $cor .'"><font color="#000000" face="verdana" size="2">';
					$sql_nome = "SELECT nome_candidato FROM candidato where codigo = $matricula";
					$result_nome = mysql_query($sql_nome)
						or die ( 'Não foi possível executar a query 161.' );
					$info_nome = mysql_fetch_array($result_nome);
					echo $info_nome["nome_candidato"];
				echo '</font></td>';

				echo '<td bgcolor="'. $cor .'"><font color="#000000" face="verdana" size="2">';
					$curso = $info["curso"];
					$sql_nome = "SELECT nome_curso FROM cursos where codigo = $curso";
					$result_nome = mysql_query($sql_nome)
						or die ( 'Não foi possível executar a query 161.' );
					$info_nome = mysql_fetch_array($result_nome);
					echo $info_nome["nome_curso"];
				echo '</font></td>';


				echo '<td bgcolor="'. $cor .'" align="center"><font color="#000000" face="verdana" size="2">';
					echo $info["total_final"];
				echo '</font></td>';
				echo '<td bgcolor="'. $cor .'" align="center"><font color="#000000" face="verdana" size="2"><b>';
					$situacao = $info["situacao"];
					if ($situacao == 0)
						echo '<font color="red">Desclassificado</font>';
					if ($situacao == 1)
						echo '<font color="339900">Classificado</font>';
					if ($situacao == 2)
						echo '<font color="red">Desistente</font>';
					if ($situacao == 3)
						echo '<font color="#9999cc">Excedente</font>';
					if ($situacao == 4)
						echo '<font color="blue">Matriculado</font>';
				echo '</b></font></td>';
			echo '</tr>';
		if ($cor == "FFFFFF")
			$cor = "E1E1E1";
		else
			$cor = "FFFFFF";
		}
		echo '</table>';





		}
	?>

	</td>
</tr>
</table>



<? 
	include ("include/fim.php");
